org.apache.ignite.internal.processors.cache.verify

## Class PartitionHashRecord

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.verify.PartitionHashRecord

All Implemented Interfaces:
  Serializable

    public class PartitionHashRecord
    extends Object
    implements Serializable

Record containing partition checksum, primary flag and consistent ID of owner.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PartitionHashRecord(PartitionKey partKey, boolean isPrimary, Object consistentId, int partHash, long updateCntr, long size)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `consistentId()`
`boolean` `equals(Object o)`
`int` `hashCode()`
`boolean` `isPrimary()`
`int` `partitionHash()`
`PartitionKey` `partitionKey()`
`long` `size()`
`String` `toString()`
`long` `updateCounter()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PartitionHashRecord

    public PartitionHashRecord(PartitionKey partKey,
                               boolean isPrimary,
                               Object consistentId,
                               int partHash,
                               long updateCntr,
                               long size)

Parameters:
  `partKey` - Partition key.
  `isPrimary` - Is primary.
  `consistentId` - Consistent id.
  `partHash` - Partition hash.
  `updateCntr` - Update counter.
  `size` - Size.

### Method Detail

#### partitionKey

    public PartitionKey partitionKey()

Returns:
  Partition key.

#### isPrimary

    public boolean isPrimary()

Returns:
  Is primary.

#### consistentId

    public Object consistentId()

Returns:
  Consistent id.

#### partitionHash

    public int partitionHash()

Returns:
  Partition hash.

#### updateCounter

    public long updateCounter()

Returns:
  Update counter.

#### size

    public long size()

Returns:
  Size.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018